libzypp 17.37.10

zyppng::AcceptKeyRequest Namespace Reference

## Functions
constexpr std::string_view | CTYPE ("keyring/accept-key")
constexpr std::string_view | KEY ("key")
constexpr std::string_view | KEY_CONTEXT ("key-context")
UserData | makeData (const zypp::PublicKey &key, const zypp::KeyContext &keycontext=zypp::KeyContext())

## Detailed Description

Ask user to trust and/or import the key to trusted keyring.

See also
  zypp::KeyTrust

Userdata fields:

- "key" Key to import into the trusted keyring
- "key-context" context the key is used in

## Function Documentation

## ◆ CTYPE()

std::string_view zyppng::AcceptKeyRequest::CTYPE | ( | "keyring/accept-key" |  | ) |
| constexpr

## ◆ KEY()

std::string_view zyppng::AcceptKeyRequest::KEY | ( | "key" |  | ) |
| constexpr

## ◆ KEY_CONTEXT()

std::string_view zyppng::AcceptKeyRequest::KEY_CONTEXT | ( | "key-context" |  | ) |
| constexpr

## ◆ makeData()

UserData zyppng::AcceptKeyRequest::makeData | ( | const zypp::PublicKey & | key,
|  | const zypp::KeyContext & | keycontext = zypp::KeyContext() )

Definition at line 52 of file userrequest.cc.